SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (E-mail Server)  >   Fetchmail Vendors:   Raymond, Eric S.
(Conectiva Issues Fix) Re: Fetchmail Can Be Crashed By Remote Users Sending E-Mail With Certain Header Contents
SecurityTracker Alert ID:  1001792
SecurityTracker URL:  http://securitytracker.com/id/1001792
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jun 20 2001
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.6.8-2 for Null crash; 5.7.1-2 for SPAM crash; possibly others
Description:   A vulnerability has been reported in the Fetchmail remote mail retrieval software. A remote user can send an e-mail with a long "To:" header that will cause Fetchmail to crash.

Fetchmail reportedly contains a buffer overflow in the handling of headers. It may be possible to exploit this overflow to execute arbitrary code with the privileges of the fetchmail daemon, but this was not confirmed.

If a remote user sends e-mail with a large "To:" line (greater than 25000 characters), Fetchmail will crash with a segmentation fault.

Impact:   A remote user can cause the Fetchmail daemon to crash.
Solution:   Conectiva has issued a fix. See the Source Message for the Conectiva advisory.
Vendor URL:  www.tuxedo.org/~esr/fetchmail/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Conectiva)

Message History:   This archive entry is a follow-up to the message listed below.
Jun 15 2001 Fetchmail Can Be Crashed By Remote Users Sending E-Mail With Certain Header Contents



 Source Message Contents

Subject:  [CLA-2001:403] Conectiva Linux Security Announcement - fetchmail


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
CONECTIVA LINUX SECURITY ANNOUNCEMENT 
- --------------------------------------------------------------------------

PACKAGE   : fetchmail
SUMMARY   : Remote buffer overflow vulnerability
DATE      : 2001-06-19 10:47:00
ID        : CLA-2001:403
RELEVANT
RELEASES  : 4.0, 4.0es, 4.1, 4.2, 5.0, prg graficos, ecommerce, 5.1, 6.0

- -------------------------------------------------------------------------

DESCRIPTION
 "fetchmail" is a program used to retrieve email from POP and IMAP
 servers.
 Wolfram Kleff reported [1] that fetchmail would segfault when
 receiving emails with large "To:" headers. This was due to a buffer
 overflow in the header parser and it could be exploited remotely.


SOLUTION
 It is recommended that all fetchmail users upgrade this package as
 soon as possible.
 
 IMPORTANT: it is necessary to manually restart the fetchmail daemon
 after installing the update!
 
 
 REFERENCES:
 1. http://bugs.debian.org/100394


DIRECT DOWNLOAD LINKS TO THE UPDATED PACKAGES
ftp://atualizacoes.conectiva.com.br/4.0/SRPMS/fetchmail-5.0.0-5U40_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/4.0/i386/fetchmailconf-5.0.0-5U40_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.0/i386/fetchmail-5.0.0-5U40_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.0es/SRPMS/fetchmail-5.0.0-5U40_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/4.0es/i386/fetchmailconf-5.0.0-5U40_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.0es/i386/fetchmail-5.0.0-5U40_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.1/SRPMS/fetchmail-5.0.0-6U41_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/4.1/i386/fetchmailconf-5.0.0-6U41_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.1/i386/fetchmail-5.0.0-6U41_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/SRPMS/fetchmail-5.0.0-6U42_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/fetchmailconf-5.0.0-6U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/4.2/i386/fetchmail-5.0.0-6U42_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/SRPMS/fetchmail-5.5.5-2U50_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/fetchmail-5.5.5-2U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.0/i386/fetchmailconf-5.5.5-2U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/SRPMS/fetchmail-5.5.5-2U51_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/fetchmail-5.5.5-2U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/5.1/i386/fetchmailconf-5.5.5-2U51_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/SRPMS/fetchmail-5.5.5-2U60_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/fetchmailconf-5.5.5-2U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/6.0/RPMS/fetchmail-5.5.5-2U60_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/ecommerce/SRPMS/fetchmail-5.5.5-2U50_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/ecommerce/i386/fetchmail-5.5.5-2U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/ecommerce/i386/fetchmailconf-5.5.5-2U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/graficas/SRPMS/fetchmail-5.5.5-2U50_1cl.src.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/graficas/i386/fetchmail-5.5.5-2U50_1cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/ferramentas/graficas/i386/fetchmailconf-5.5.5-2U50_1cl.i386.rpm


ADDITIONAL INSTRUCTIONS
 Users of Conectiva Linux version 6.0 or higher may use apt to perform 
 upgrades of RPM packages:
 - add the following line to /etc/apt/sources.list if it is not there yet
   (you may also use linuxconf to do this):

 rpm [cncbr] ftp://atualizacoes.conectiva.com.br 6.0/conectiva updates

(replace 6.0 with the correct version number if you are not running CL6.0)

 - run:                 apt-get update
 - after that, execute: apt-get upgrade

 Detailed instructions reagarding the use of apt and upgrade examples 
 can be found at http://distro.conectiva.com.br/atualizacoes/#apt?idioma=en


- -------------------------------------------------------------------------
All packages are signed with Conectiva's GPG key. The key and instructions
on how to import it can be found at 
http://distro.conectiva.com.br/seguranca/chave/?idioma=en
Instructions on how to check the signatures of the RPM packages can be
found at http://distro.conectiva.com.br/seguranca/politica/?idioma=en
- -------------------------------------------------------------------------
All our advisories and generic update instructions can be viewed at
http://distro.conectiva.com.br/atualizacoes/?idioma=en

- -------------------------------------------------------------------------
subscribe: conectiva-updates-subscribe@papaleguas.conectiva.com.br
unsubscribe: conectiva-updates-unsubscribe@papaleguas.conectiva.com.br
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE7L1hP42jd0JmAcZARAn17AKDYmVOAsjlu57Z4/MWsiXwYlZzBnACgtRYi
VqJgQgWxoOpCTLQpdNly6yE=
=8ROS
-----END PGP SIGNATURE-----


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC